/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.asistenciaAniversario.DAO;

import pe.siso.asistenciaAniversario.MySqlDAO.MySqlDAOFactory;

/**
 *
 * @author acalderon
 */
public abstract  class DAOFactory {
   public static final int MYSQL=1;
   public static final int SQLSERVER = 4;
   /* public static final int ORACLE = 2;
    public static final int DB2 = 3;
    
    public static final int XML = 5;
*/
     public static MySqlDAOFactory getDAOFactory(int whichFactory) {
             switch(whichFactory){
	      	case MYSQL:
	       	    return new MySqlDAOFactory();
	       	case SQLSERVER:
	       	    return new MySqlDAOFactory();
	       	/*case ORACLE:
	       	    return new OracleDAOFactory();
	       	case DB2:
	       	    return new Db2DAOFactory();
	       	case SQLSERVER:
	       	    return new SqlServerDAOFactory();
	       	case XML:
	       	    return new XmlDAOFactory();*/
	       	default:
	       	    return null;
       } 
    } 
    public abstract AsistenciaDAO getAsistenciaDAO();
    public abstract ConteoDAO getConteoDAO();
    
    
    
}
